6 Replies Latest reply on Dec 28, 2009 5:47 AM by Joram Barrez

    How to change the module "Reporting" from jbpm-console to Postgres???

    carlos mauricio jaramillo henao Newbie

      I wonder how I can change so that the reports are on postgres. The database jbpm this on postgres. The changed the DataSource for the Eclipse to make it pointing to postgres, but when I start the Tomcat server I get the following error.

       

      ERROR:

       

      INFO: Server startup in 2239 ms
      17/12/2009 03:33:28 PM org.eclipse.birt.report.engine.api.impl.ReportEngineHelper openReportDesign
      GRAVE: invalid design file file:/C:/jbpm-4.2/apache-tomcat-6.0.20/birt/process_summary.rptdesign
      Exception in thread "BirtService-Init" java.lang.RuntimeException: Failed to load reports
              at org.jboss.bpm.report.BirtService.create(BirtService.java:94)
              at org.jboss.bpm.report.BirtService$2.run(BirtService.java:213)
              at java.lang.Thread.run(Thread.java:619)
      Caused by: org.eclipse.birt.report.engine.api.EngineException: The design file file:/C:/jbpm-4.2/apache-tomcat-6.0.20/birt/process_summary.rptdesign has error and can not be run.
              at org.eclipse.birt.report.engine.api.impl.ReportEngineHelper.openReportDesign(ReportEngineHelper.java:258)
              at org.eclipse.birt.report.engine.api.impl.ReportEngineHelper.openReportDesign(ReportEngineHelper.java:193)
              at org.eclipse.birt.report.engine.api.impl.ReportEngineHelper.openReportDesign(ReportEngineHelper.java:127)
              at org.eclipse.birt.report.engine.api.impl.ReportEngine.openReportDesign(ReportEngine.java:349)
              at org.jboss.bpm.report.BirtService.openCached(BirtService.java:433)
              at org.jboss.bpm.report.BirtService.extractParameterMetaData(BirtService.java:129)
              at org.jboss.bpm.report.BirtService.create(BirtService.java:90)
              ... 2 more
      Caused by: Error.DesignFileException.INVALID_XML - 1 errors found!
      1.)  ( line = 0, tag = null)  org.eclipse.birt.report.model.parser.DesignParserException (code = Error.DesignParserException.UNSUPPORTED_VERSION, message : The report file of versi
      on "3.2.20" is invalid for it is greater than the latest supported one.)

       

              at org.eclipse.birt.report.model.parser.ModuleReader.readModule(ModuleReader.java:116)
              at org.eclipse.birt.report.model.parser.DesignReader.read(DesignReader.java:88)
              at org.eclipse.birt.report.model.core.DesignSession.openDesign(DesignSession.java:321)
              at org.eclipse.birt.report.model.api.SessionHandle.openDesign(SessionHandle.java:294)
              at org.eclipse.birt.report.engine.parser.ReportParser.getDesignHandle(ReportParser.java:158)
              at org.eclipse.birt.report.engine.api.impl.ReportEngineHelper.openReportDesign(ReportEngineHelper.java:253)
              ... 8 more
      Caused by: org.eclipse.birt.report.model.parser.DesignParserException: The report file of version "3.2.20" is invalid for it is greater than the latest supported one.
              at org.eclipse.birt.report.model.parser.ModuleState.parseAttrs(ModuleState.java:112)
              at org.eclipse.birt.report.model.parser.ModuleParserHandler.startElement(ModuleParserHandler.java:229)
              at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement(AbstractSAXParser.java:501)
              at com.sun.org.apache.xerces.internal.impl.dtd.XMLDTDValidator.startElement(XMLDTDValidator.java:767)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStartElement(XMLDocumentFragmentScannerImpl.java:1363)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$ContentDriver.scanRootElementHook(XMLDocumentScannerImpl.java:1318)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl$FragmentContentDriver.next(XMLDocumentFragmentScannerImpl.java:3103)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$PrologDriver.next(XMLDocumentScannerImpl.java:922)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(XMLDocumentScannerImpl.java:648)
              at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:511)
              at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:808)
              at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:737)
              at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:119)
              at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1205)
              at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(SAXParserImpl.java:522)
              at javax.xml.parsers.SAXParser.parse(SAXParser.java:395)
              at org.eclipse.birt.report.model.parser.ModuleReader.readModule(ModuleReader.java:94)
              ... 13 more
      Caused by: org.eclipse.birt.report.model.parser.DesignParserException: The report file of version "3.2.20" is invalid for it is greater than the latest supported one.
              at org.eclipse.birt.report.model.parser.ModuleState.parseAttrs(ModuleState.java:109)
              ... 29 more


      I appreciate any information

      Thanks